Permalink
Browse files

Use the gem attachable, closing #15.

Removing attachable from a submodule to a gem.  Submodules are no longer used anywhere in the app, so `bundle install` is the only setup step required to handle dependencies.
  • Loading branch information...
1 parent e6132a4 commit 23b30f78d80d55602bfc385643d144cd9abaa95d @bamnet bamnet committed Jan 23, 2012
Showing with 5 additions and 4 deletions.
  1. +0 −3 .gitmodules
  2. +3 −0 Gemfile
  3. +2 −0 Gemfile.lock
  4. +0 −1 vendor/plugins/attachable
View
@@ -1,3 +0,0 @@
-[submodule "vendor/plugins/attachable"]
- path = vendor/plugins/attachable
- url = git://github.com/bamnet/attachable.git
View
@@ -23,6 +23,9 @@ gem 'sqlite3'
#RMagick is used for image resizing and processing
gem "rmagick", ">= 2.12.2"
+# Attachable does all the file work.
+gem 'attachable', '>= 0.0.1'
+
## Bundle gems used only in certain environments:
group :test do
# Pretty printed test output
View
@@ -31,6 +31,7 @@ GEM
multi_json (~> 1.0)
ansi (1.4.1)
arel (2.2.1)
+ attachable (0.0.1)
bcrypt-ruby (3.0.1)
builder (3.0.0)
cancan (1.6.7)
@@ -119,6 +120,7 @@ PLATFORMS
ruby
DEPENDENCIES
+ attachable (>= 0.0.1)
cancan
coffee-rails (~> 3.1.1)
devise
Submodule attachable deleted from 66b935

0 comments on commit 23b30f7

Please sign in to comment.